Bug 853621 - [abrt] java-1.7.0-openjdk-devel-1.7.0.6-2.3.fc17.2: os::abort: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.6.x86_64/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-devel-1.7.0.6-2.3.fc17.2: os::abort: Process /usr/l...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
abrt_hash:1535fa342fdb6fa0e5c2684287c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 08:18 EDT by Jerzy Spendel
Modified: 2012-11-22 09:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-05 15:36:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.40 KB, text/plain)
2012-09-01 08:18 EDT, Jerzy Spendel
no flags Details
File: environ (2.04 KB, text/plain)
2012-09-01 08:19 EDT, Jerzy Spendel
no flags Details
File: event_log (1.42 KB, text/plain)
2012-09-01 08:19 EDT, Jerzy Spendel
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-01 08:19 EDT, Jerzy Spendel
no flags Details
File: backtrace (53.72 KB, text/plain)
2012-09-01 08:19 EDT, Jerzy Spendel
no flags Details
File: cgroup (128 bytes, text/plain)
2012-09-01 08:19 EDT, Jerzy Spendel
no flags Details
File: maps (23.80 KB, text/plain)
2012-09-01 08:19 EDT, Jerzy Spendel
no flags Details
File: dso_list (4.78 KB, text/plain)
2012-09-01 08:19 EDT, Jerzy Spendel
no flags Details
File: var_log_messages (1.71 KB, text/plain)
2012-09-01 08:19 EDT, Jerzy Spendel
no flags Details
File: open_fds (1.69 KB, text/plain)
2012-09-01 08:19 EDT, Jerzy Spendel
no flags Details

  None (edit)
Description Jerzy Spendel 2012-09-01 08:18:55 EDT
Description of problem:
Openjdk was build by rpmbuild --rebuild

Version-Release number of selected component:
java-1.7.0-openjdk-devel-1.7.0.6-2.3.fc17.2

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 3
cmdline:        /usr/lib/jvm/java/bin/java -Dfile.encoding=UTF-8 -classpath /home/jerzy/Pobrane/Slick2d/lwjgl-2.8.4/jar/AppleJavaExtensions.jar:/home/jerzy/Pobrane/Slick2d/lwjgl-2.8.4/jar/asm-debug-all.jar:/home/jerzy/Pobrane/Slick2d/lwjgl-2.8.4/jar/jinput.jar:/home/jerzy/Pobrane/Slick2d/lwjgl-2.8.4/jar/lwjgl-debug.jar:/home/jerzy/Pobrane/Slick2d/lwjgl-2.8.4/jar/lwjgl.jar:/home/jerzy/Pobrane/Slick2d/lwjgl-2.8.4/jar/lwjgl_test.jar:/home/jerzy/Pobrane/Slick2d/lwjgl-2.8.4/jar/lwjgl_util.jar:/home/jerzy/Pobrane/Slick2d/lwjgl-2.8.4/jar/lwjgl_util_applet.jar:/home/jerzy/Pobrane/Slick2d/lwjgl-2.8.4/jar/lzma.jar:/home/jerzy/Pobrane/Slick2d/slick.jar:/home/jerzy/NetBeansProjects/Village/build/classes village.Village
crash_function: os::abort
kernel:         3.5.2-3.fc17.x86_64

truncated backtrace:
:Thread no. 1 (7 frames)
: #2 os::abort at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os/linux/vm/os_linux.cpp
: #3 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/utilities/vmError.cpp
: #4 JVM_handle_linux_signal at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os_cpu/linux_x86/vm/os_linux_x86.cpp
: #6 XQueryExtension at QuExt.c
: #7 XInitExtension at InitExt.c
: #8 XextAddDisplay at extutil.c
: #9 ??
Comment 1 Jerzy Spendel 2012-09-01 08:18:59 EDT
Created attachment 608813 [details]
File: core_backtrace
Comment 2 Jerzy Spendel 2012-09-01 08:19:01 EDT
Created attachment 608814 [details]
File: environ
Comment 3 Jerzy Spendel 2012-09-01 08:19:03 EDT
Created attachment 608815 [details]
File: event_log
Comment 4 Jerzy Spendel 2012-09-01 08:19:05 EDT
Created attachment 608816 [details]
File: limits
Comment 5 Jerzy Spendel 2012-09-01 08:19:08 EDT
Created attachment 608817 [details]
File: backtrace
Comment 6 Jerzy Spendel 2012-09-01 08:19:10 EDT
Created attachment 608818 [details]
File: cgroup
Comment 7 Jerzy Spendel 2012-09-01 08:19:12 EDT
Created attachment 608819 [details]
File: maps
Comment 8 Jerzy Spendel 2012-09-01 08:19:14 EDT
Created attachment 608820 [details]
File: dso_list
Comment 9 Jerzy Spendel 2012-09-01 08:19:16 EDT
Created attachment 608821 [details]
File: var_log_messages
Comment 10 Jerzy Spendel 2012-09-01 08:19:18 EDT
Created attachment 608822 [details]
File: open_fds
Comment 11 David M. 2012-09-24 18:23:56 EDT
I really don't know.  It happened a while ago.

backtrace_rating: 3
Package: java-1.7.0-openjdk-1.7.0.6-2.3.fc17.2
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Deepak Bhole 2012-10-05 15:36:22 EDT
Fair enough. Unfortunately there isn't enough information in the trace to determine the cause :( I am going to close this for now but please feel free to re-open it if it happens again.
Comment 13 Reinout van Schouwen 2012-11-22 09:43:02 EST
I've run into this crash (apparently, according to ABRT) while profiling my Java web app from Netbeans 7.3b2. Reopening per comment #12.
Comment 14 Reinout van Schouwen 2012-11-22 09:56:59 EST

I filed bug 879301 because I have insufficient rights to reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.